> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Banks List

> Get Bank List



## OpenAPI

````yaml GET /list/banks
openapi: 3.0.1
info:
  title: CORE API OpenAPI Specification
  description: This is the API documentation for the ClickPesa CORE API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clickpesa.com/third-parties
security:
  - bearerAuth: []
paths:
  /list/banks:
    get:
      description: Get Bank List
      responses:
        '200':
          description: Get Bank List Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BanksResponse'
        '401':
          description: Invalid or Expired Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
components:
  schemas:
    BanksResponse:
      type: array
      items:
        type: object
        properties:
          name:
            type: string
            description: Bank Name
          bic:
            type: string
            description: Bank Business Identifier Code (BIC)
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Unauthorized Error
          example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authorization header containing the JWT access token returned from the
        generate token endpoint. The token already includes the Bearer prefix.
        Example: `Authorization: Bearer eyJhbGciOi...`
      bearerFormat: JWT

````